{
  "ash" : {
    "generateResource" : "Y"
  },
  "attributes" : [
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "active?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "active",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "active",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isActive",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "createDate",
      "externalType" : "datetime",
      "name" : "createDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "N"
      },
      "valueClassName" : "NSDate"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_contact?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forContact",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forContact",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForContact",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_opportunity?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forOpportunity",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forOpportunity",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForOpportunity",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_organization?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forOrganization",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forOrganization",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForCompany",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "ashName" : "for_project?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forProject",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forProject",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForProject",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "_rowid",
      "externalType" : "longlong",
      "isIndexed" : "Y",
      "name" : "keywordID",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "name",
      "externalType" : "char",
      "name" : "name",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : "0"
    },
    {
      "allowsNull" : "N",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "ordering",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "order",
      "record" : {
        "allowsRecord" : "N",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "ashName" : "for_task?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forTask",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forTask",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForTask",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "ashName" : "for_timeblock?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forTimeblock",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forTimeblock",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForTimeblock",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "ashName" : "for_note?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forNote",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forNote",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForNote",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "ashName" : "for_custom_record_set?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forCustomRecordSet",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forCustomRecordSet",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForForm",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "ashName" : "for_group?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forGroup",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forGroup",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForGroup",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "ash" : {
        "ashName" : "for_email?",
        "ashType" : ":boolean_integer",
        "includeInResource" : "Y"
      },
      "columnName" : "forEmail",
      "defaultValue" : "0",
      "externalType" : "int",
      "name" : "forEmail",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y",
        "recordName" : "isForEmail",
        "recordType" : "Bool"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionUserID",
      "externalType" : "int",
      "isIndexed" : "Y",
      "name" : "deletionUserID",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSNumber",
      "valueType" : "i"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionDate",
      "externalType" : "datetime",
      "isIndexed" : "Y",
      "name" : "deletionDate",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSDate"
    },
    {
      "addedInModelVersion" : 0,
      "allowsNull" : "Y",
      "ash" : {
        "includeInResource" : "Y"
      },
      "columnName" : "deletionIdentifier",
      "externalType" : "char",
      "isIndexed" : "Y",
      "name" : "deletionIdentifier",
      "record" : {
        "allowsRecord" : "Y",
        "isInternal" : "N",
        "isUpdatable" : "Y"
      },
      "valueClassName" : "NSString",
      "width" : 255
    }
  ],
  "className" : "GWKeyword",
  "classProperties" : [
    "active",
    "createDate",
    "forContact",
    "forOpportunity",
    "forOrganization",
    "forProject",
    "keywordID",
    "name",
    "order",
    "forTask",
    "forTimeblock",
    "forNote",
    "forCustomRecordSet",
    "forGroup",
    "forEmail",
    "deletionUserID",
    "deletionDate",
    "deletionIdentifier",
    "contactKeywords",
    "contacts",
    "keywordOpportunitys",
    "keywordOrganizations",
    "keywordProjects",
    "opportunities",
    "organizations",
    "projects",
    "keywordNotes",
    "keywordTasks",
    "keywordTimeblocks",
    "notes",
    "timeblocks",
    "tasks",
    "keywordCustomRecordSets",
    "customRecordSets",
    "keywordGroups",
    "groups",
    "keywordEmails",
    "emails",
    "keywordActionItems",
    "actionItems",
    "keywordBookingDefinitions",
    "bookingDefinitions"
  ],
  "domain" : "Classifications",
  "externalName" : "Keyword",
  "fetchSpecificationDictionary" : {

  },
  "fullTextSearchIndices" : [
    {
      "attributeNames" : [
        "name"
      ],
      "name" : "name"
    }
  ],
  "isDatabasePreference" : true,
  "isTrashable" : true,
  "localizationKey" : "Keyword",
  "localizationPluralKey" : "Keywords",
  "name" : "Keyword",
  "primaryKeyAttributes" : [
    "keywordID"
  ],
  "record" : {
    "allowsRecord" : "Y",
    "isDirectlyUpdatable" : "N"
  },
  "relationships" : [
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "ContactKeywordJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "contactKeywords",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "contactKeywords.contact",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "contacts",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordOpportunityJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordOpportunitys",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordOrganizationJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordOrganizations",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordProjectJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordProjects",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordOpportunitys.opportunity",
      "internalInfo" : {
        "_nameInObjectStore" : "opportunitys"
      },
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "opportunities",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordOrganizations.organization",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "organizations",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordProjects.project",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "projects",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordNoteJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordNotes",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordTaskJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordTasks",
      "ownsDestination" : "Y",
      "propagatesPrimaryKey" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordTimeblockJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordTimeblocks",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordNotes.note",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "notes",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordTimeblocks.timeblock",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "timeblocks",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordTasks.task",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "tasks",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordCustomRecordSetJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordCustomRecordSets",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordCustomRecordSets.customRecordSet",
      "destination" : "CustomRecordSet",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "customRecordSets",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordGroupJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordGroups",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordGroups.group",
      "destination" : "Group",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "groups",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordEmailJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordEmails",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordEmails.email",
      "destination" : "Email",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "emails",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordActionItemJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordActionItems",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordActionItems.actionItem",
      "destination" : "ActionItem",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "actionItems",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "deleteRule" : "EODeleteRuleCascade",
      "destination" : "KeywordBookingDefinitionJoin",
      "isToMany" : "Y",
      "joins" : [
        {
          "destinationAttribute" : "keywordID",
          "sourceAttribute" : "keywordID"
        }
      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "keywordBookingDefinitions",
      "ownsDestination" : "Y",
      "record" : {
        "allowsRecord" : "N",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    },
    {
      "addedInModelVersion" : 1200,
      "ash" : {
        "includeInResource" : "Y"
      },
      "definition" : "keywordBookingDefinitions.bookingDefinition",
      "destination" : "BookingDefinition",
      "joins" : [

      ],
      "joinSemantic" : "EOInnerJoin",
      "name" : "bookingDefinitions",
      "record" : {
        "allowsRecord" : "Y",
        "isEmbedded" : "N",
        "isInternal" : "N",
        "propagatesUpdates" : "N"
      }
    }
  ],
  "supportsPermissions" : false,
  "uniqueIdentifier" : "46"
}